/* -- button -- */
.rtl .wdt-button-holder.wdt-button-size-nm .wdt-button .wdt-button-text{
    padding-right:0;
    padding-left: 45px;
}
.rtl .wdt-button-holder.wdt-button-size-nm .wdt-button .wdt-button-text::before{
    right:auto;
    left:0;
    transform: translateY(-50%) rotate(180deg);
    -webkit-transform: translateY(-50%) rotate(180deg);
}

/* -- Header-popup -- */
.rtl .wdt-popup-box-window.mfp-wrap.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder{
    margin-right:auto;
    margin-left:0;
}
.rtl .wdt-popup-box-window.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder{
    -webkit-transform: translateX(-800px);
    transform: translateX(-800px);
}

.rtl .wdt-popup-box-window.mfp-wrap.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner ~ .mfp-close{
    left: 12px;
    right: auto;
}

/* -- Header -- */
.rtl .wdt-header-menu ul li.has-mega-menu ul li.menu-item-object-wdt_mega_menus ul li > a:before,.rtl .wdt-header-menu ul li ul.sub-menu > li > a:before{
    right: 22px;
    left: auto;
}
.rtl .wdt-header-menu .wdt-primary-nav li ul.sub-menu li > a:hover,.rtl .wdt-header-menu .wdt-primary-nav li ul.sub-menu li[class*="current-menu-"] > a{
    margin-left:0;
    margin-right:15px;
}
.rtl .wdt-header-menu ul li ul.children li ul:not(.menu-item-object-wdt_mega_menus ul),.rtl .wdt-header-menu ul li ul.sub-menu li ul:not(.menu-item-object-wdt_mega_menus ul){
    right: 100%;
    left:auto;
}
.rtl .wdt-header-menu ul li ul.sub-menu > li.menu-item-has-children > a:after{
    left: 8px;
    right:auto;
    transform: translateY(-50%) rotate(180deg);
    -webkit-transform: translateY(-50%) rotate(180deg);
}
.rtl .wdt-header-menu ul li ul.children,.rtl .wdt-header-menu ul li ul.sub-menu,.rtl .wdt-header-menu ul li.has-mega-menu > ul{
    right:0;
    left:auto;
}




/* -- Footer -- */

.rtl .wdt-mailchimp-holder.wdt-template-type3 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder{
    left:clamp(0rem, -0.3125rem + 1.5625vw, 1.5625rem);
    right:auto;
}

.rtl .wdt-mailchimp-holder.wdt-template-type3 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form.with-btn-icon input{
    padding-left: clamp(3.4375rem, 3.125rem + 1.5625vw, 5rem);
    padding-right:0;
}

.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder button[type='submit'] i{
    transform: rotate(220deg);
    -webkit-transform:rotate(220deg);
}


/* -- Home 1 -- */

.rtl .wdt-home-video .wdt-content-item .wdt-content-media-group{
    flex-direction:inherit;
}
.rtl .wdt-home-clients .wdt-content-item .wdt-content-elements-group{
    padding-left:0;
    padding-right: 15px;
}

.rtl .wdt-cus-abt-icon-lists .elementor-widget-container .elementor-icon-list-items .elementor-icon-list-text{
    padding-right: 20px;
    padding-left:0;
}

.rtl .wdt-event-item.type1 .wdt-event-item-description{
    padding-right:0px;
    padding-left: 30px;
    text-align:right;
}
.rtl .wdt-event-item.type1 .wdt-trainer-details{
    padding-right:30px;
    padding-left:0px;
}
.rtl .wdt-event-item.type1 .wdt-event-item-description .wdt-trainer-details::before{
    left:auto;right:0;
}
.rtl .wdt-event-item.type1 .wdt-event-item-description p i.fa-calendar-o::before{left:auto;right:0;}





.rtl .wdt-mailchimp-holder.wdt-template-type6 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form input{
    margin: 0 0 0 10px;
}

.rtl .wdt-cus-book-newsletter .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form.with-btn-icon .wdt-mailchimp-subscription-button-holder button i{
    transform: rotate(220deg);
    -webkit-transform:rotate(220deg);
}

.rtl .wdt-pricing-table-holder div[class*='-table-features'] .wdt-pricing-table-features-list li .wdt-pricing-table-features-list-text:not(:only-child){
    padding-left:0;
    padding-right: 10px;
}
.rtl .wdt-pricing-table-holder .wdt-pricing-table-pricing div[class*='-table-pricing-sale'] .wdt-pricing-table-pricing-prefix{
    padding-left:5px;
    padding-right:0;
}
.rtl .wdt-pricing-table-holder .wdt-pricing-table-pricing div[class*='-table-pricing-sale'] .wdt-pricing-table-pricing-suffix{
    padding-left:0;
    padding-right:5px;
}
.rtl .wdt-custom-btn .wdt-content-item .wdt-content-button > a,.rtl .wdt-custom-btn .wdt-pricing-table-holder div[class*='-table-footer'] .wdt-content-button:not(.fullwidth) > a{
    padding-left:75px;
    padding-right:30px;
}
.rtl .wdt-custom-btn .wdt-content-item .wdt-content-button > a::before,.rtl .wdt-custom-btn .wdt-pricing-table-holder div[class*='-table-footer'] .wdt-content-button:not(.fullwidth) > a::before{
    left:30px;
    right:auto;
    transform: translateY(-50%) rotate(180deg);
    -webkit-transform: translateY(-50%) rotate(180deg);
}
.rtl .wdt-cus-testimonial-type1 .wdt-rc-template-custom-template .wdt-content-item .wdt-content-icon-wrapper{
    right:12%;
    left:auto;
}
.rtl .wdt-cus-testimonial-type1 .wdt-rc-template-custom-template .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span{
    right:12%;
    left:auto;
}
.rtl .wdt-cus-testimonial-type1 .wdt-rc-template-custom-template .wdt-carousel-pagination-wrapper{
    margin-right:auto;
    margin-left: 0;
}

.rtl .wdt-cus-testimonial-type1 .wdt-rc-template-custom-template .wdt-content-item .wdt-content-detail-group .wdt-content-title-group h5,.rtl .wdt-cus-testimonial-type1 .wdt-rc-template-custom-template .wdt-content-item .wdt-content-detail-group .wdt-content-title-group h5 a,.rtl .wdt-cus-testimonial-type1 .wdt-rc-template-custom-template .wdt-content-item .wdt-content-detail-group .wdt-content-title-group .wdt-content-subtitle{
    padding-left: 3px;
    padding-right:0;
}

.rtl .wdt-custom-blog.wdt-posts-list-wrapper.swiper-container div[class*="arrow-pagination"] > a[class*="arrow"]{
    right:auto;
    left:0;
}
.rtl .wdt-custom-blog.wdt-posts-list-wrapper.swiper-container div[class*="arrow-pagination"] > a.wdt-products-arrow-prev{
    right:auto;
    left:0;
}
.rtl .wdt-custom-blog.wdt-posts-list-wrapper.swiper-container div[class*="arrow-pagination"] > a.wdt-products-arrow-next{
    left:160px;
    right:auto;
}

.rtl .wdt-homepage-form .wdt-form-infos p input,.rtl .wdt-homepage-form .wdt-form-infos p textarea{
    text-align: right;
}

.rtl .wdt-submit-btn p input{
    padding-right: 30px;
    padding-left: 70px;
}

.rtl .wdt-submit-btn p .wdt-submit-icon{
    left:25px;
    right:auto;
    transform: rotate(180deg);
    -webkit-transform:rotate(180deg);
}
.rtl .wdt-submit-btn p{
    place-items:baseline;
}
.rtl .wdt-submit-btn{
    text-align: right;
}

.rtl .wdt-fadeinright-hover .blog-entry:hover .entry-thumb > a img,.rtl .wdt-fadeinright-hover.wdt-post-entry.entry-list-layout .blog-entry:hover .entry-thumb .blog-image > a{
    transform: translate3d(6.66%, 0, 0);
    -webkit-transform: translate3d(6.66%, 0, 0);
}

.rtl .wpcf7-form .wpcf7-response-output:before,.rtl .wpcf7 form .wpcf7-response-output:before{
    right:18px;
    left:auto;
}

.rtl .wpcf7-form.invalid .wpcf7-response-output,.rtl .wpcf7 form.invalid .wpcf7-response-output{
    text-align: right;
}

.rtl .wpcf7-form .wpcf7-response-output,.rtl .wpcf7 form .wpcf7-response-output{
    padding:15px 45px 15px 15px;
}

.rtl .wcs-timetable__week.wcs-timetable__parent > div.wcs-day{
    border-left: 1px solid var(--wdtPrimaryColor);
    border-right:0;
}

.rtl .wcs-timetable__week.wcs-timetable__parent > div.wcs-day:has(+ .wcs-timetable__zero-data){
    border-left:none;
}

.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].left-to-right {
    -webkit-animation: rtl-MarqueeLeft 100s linear infinite 0ms;
    animation: rtl-MarqueeLeft 100s linear infinite 0ms;
}

.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].right-to-left {
    -webkit-animation: rtl-MarqueeRight 100s linear infinite 0ms;
    animation: rtl-MarqueeRight 100s linear infinite 0ms;
}
.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].right-to-left ~ div.wdt-animation-cloned-marqee,.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].left-to-right ~ div.wdt-animation-cloned-marqee {
    -webkit-animation: auto;
    animation: auto;
}

@keyframes rtl-MarqueeLeft {
    from {
        margin-right: 0;
    }

    to {

        margin-right: var(--wdt-marque-Margin-Width);
    }
}

@keyframes rtl-MarqueeRight {
    from {
        margin-right: var(--wdt-marque-Margin-Width);
    }

    to {

        margin-right: 0;
    }
}





/* -- Home 2 -- */

.rtl .wdt-home-slider .wdt-slider-heading .wdt-heading-holder{
    transform: translateX(60px);
    -webkit-transform: translateX(60px);
}
.rtl .wdt-home-slider .wdt-slider-btn .wdt-button-holder{
    transform: translateX(60px);
    -webkit-transform: translateX(60px);
}


.rtl .wdt-home-slider .wdt-carousel-holder .wdt-carousel-pagination-wrapper{
    left: clamp(3.125rem, -9.5395rem + 13.1579vw, 6.25rem);
    right:auto;
}

.rtl .wdt-cus-classes-intearactive .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper{
    padding-right: clamp(2.5rem, -0.3631rem + 4.4693vw, 5rem);
    padding-left:0;
}
.rtl .wdt-cus-classes-intearactive .wdt-interactive-showcase-container .wdt-interactive-showcase-list li .wdt-interactive-showcase-element .wdt-content-title:before{
    margin-left:25px;
    margin-right:0;
}
.rtl .wdt-cus-classes-intearactive .elementor-widget-container .wdt-interactive-showcase-container .wdt-interactive-showcase-list .wdt-interactive-showcase- .wdt-interactive-showcase-button-link span:before{
    transform:rotate(180deg);
    -webkit-transform:rotate(180deg);
}

.rtl .wdt-cus-team-section .wdt-content-item:hover .wdt-content-image::before{
    transform: translate(20px, 20px);
    -webkit-transform: translate(20px, 20px);
}

.rtl .wdt-cus-faq .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-title{
    padding-left:15px;
    padding-right:0;
}
.rtl .wdt-cus-faq .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon{
    left: clamp(1.25rem, 1rem + 1.25vw, 2.5rem);
    right:auto;
}
.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon{
    margin-left:0;
    margin-right:10px;
}

/* -- Home 3 -- */
.rtl .wdt-home-slider-3 .wdt-carousel-holder .wdt-carousel-pagination-wrapper{
    left: clamp(-10rem, 0.1316rem + -10.5263vw, -12.5rem);
    right:auto;
}
.rtl .elementor-widget-heading.wdt-custom-scroll-text .elementor-heading-title{
    flex-direction:unset;
}

.rtl .wdt-cus-category-box .wdt-image-box-holder .wdt-content-item .wdt-content-media-group .wdt-content-icon-wrapper .wdt-content-icon span{
    margin-left:-50px;
    margin-right:0;
}

.rtl .wdt-shop-section .wdt-content-item .wdt-content-button>a span::before{
    transform:rotate(180deg);
    -webkit-transform:rotate(180deg);
}
.rtl .elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon svg{
    margin:var(0 0 0 calc(var(--e-icon-list-icon-size, 1em) * 0.25));
}

.rtl .wdt-event-item.type2 .wdt-event-item-media img{
    margin-left:30px;
    margin-right:0;
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details p:first-child{
    padding: 20px 20px 20px clamp(1.875rem, -4.375rem + 7.8125vw, 5rem);
    border-right:0;
    border-left: 1px solid;
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details p:nth-child(2){
    padding: 20px clamp(1.875rem, -4.375rem + 7.8125vw, 5rem) 20px 20px;
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details .wdt-event-btn{
    text-align: left;
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details .wdt-event-btn a{
    padding-left:75px;
    padding-right:30px;
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details .wdt-event-btn a::before{
    right:auto;
    left:30px;
    transform: translateY(-50%) rotate(180deg);
    -webkit-transform: translateY(-50%) rotate(180deg);
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details p:nth-child(2) span{
    padding-right: 30px;
    padding-left:0;
}
.rtl .wdt-event-item.type2 .wdt-event-item-duration-details p:nth-child(2) span::before{
    left:auto;
    right:0;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .wdt-cus-testimonial-type2 .wdt-testimonial-holder.wdt-rc-template-aside-title .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span{
    transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdt-cus-testimonial-type2 .wdt-testimonial-holder.wdt-rc-template-aside-title .wdt-content-item:after{
    right:auto;
    left:0;
}
.rtl .wdt-cus-testimonial-type2 .wdt-testimonial-holder.wdt-rc-template-aside-title .wdt-content-item:before{
    right:10%;
    left:auto;
    transform: scale(0.6) rotate(45deg) matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: scale(0.6) rotate(45deg) matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdt-cus-testimonial-type2 .wdt-testimonial-holder.wdt-rc-template-aside-title .wdt-content-item:hover:before{
    transform: scale(1) rotate(0deg) matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: scale(1) rotate(0deg) matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .woocommerce ul.products.product-label-rounded li.product .product-labels{
    left:5px;
    right:auto;
}

.rtl .wdt-custom-countdown .wdt-countdown-holder .wdt-counter-wrapper .wdt-counter-inner-wrapper:not(:last-child){
    border-left: 1px solid var(--wdtAccentTxtColor);
    border-right:0;
}

/* -- faq page -- */
.rtl .wdt-cus-abt-icon-box .wdt-content-item .wdt-content-elements-group{
    margin-right:25px;
    margin-left:0;
}

/* -- events -- */

.rtl #tribe-events-pg-template .entry-post-navigation.type1 .post-next-link{
    text-align: left;
}
.rtl #tribe-events-pg-template .entry-post-navigation.type1 .post-next-link .nav-title-wrap a::after{
    transform: translateY(-10%) rotate(180deg);
    -webkit-transform: translateY(-10%) rotate(180deg);
    margin-right:10px;
    margin-left:0;
}
.rtl .wdt-event-single-social-list.wdt-social-list.elementor-widget.elementor-widget-icon-list .elementor-icon-list-item:not(:last-child):after{
    left:-10px;
    right:auto;
}

.rtl #tribe-events-pg-template .entry-post-navigation.type1 .post-prev-link .nav-title-wrap a::before{
    transform: translateY(-10%) rotate(180deg);
    -webkit-transform: translateY(-10%) rotate(180deg);
    margin-right:0;
    margin-left:10px;
}

/* -- blog -- */

.rtl .wdt-simple-style.wdt-post-entry.entry-list-layout .blog-entry > div:not(.entry-thumb){
    padding-left:0;
    padding-right:35px;
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry:hover > div.entry-thumb{
    box-shadow: -20px -20px 0 0px var(--wdtPrimaryColor);
    -webkit-box-shadow: -20px -20px 0 0px var(--wdtPrimaryColor);
    transform: translate(10px, 0px);
    -webkit-transform: translate(10px, 0px);
}
.rtl .wdt-fadeinleft-hover.wdt-post-entry.entry-list-layout .blog-entry .entry-thumb .blog-image > a{
    transform: translate3d(-6.66%, 0, 0);
    -webkit-transform: translate3d(-6.66%, 0, 0);
}
.rtl .wdt-fadeinleft-hover.wdt-post-entry.entry-list-layout .blog-entry:hover .entry-thumb .blog-image > a{
    transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry .entry-button a.wdt-button::before{
    right:auto;
    left:30px;
    transform: translateY(-50%) rotate(180deg);
    -webkit-transform: translateY(-50%) rotate(180deg);
}

.rtl .wdt-simple-style.wdt-post-entry .blog-entry .entry-button a.wdt-button{
    padding-left:75px;
    padding-right:30px;
}

.rtl .wdt-fadeinleft-hover .blog-entry .entry-thumb > a img{
    transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
}
.rtl .wdt-fadeinleft-hover .blog-entry:hover .entry-thumb > a img{
    transform: translate3d(6.66%, 0, 0);
    -webkit-transform: translate3d(6.66%, 0, 0);
}
.rtl .wdticon-angle-double-right:before{
    transform:rotate(180deg);
    -webkit-transform:rotate(180deg);
}
.rtl .wdt-simple-style.wdt-post-entry.entry-grid-layout .blog-entry > div.entry-meta-group > div.entry-author,.rtl .wdt-simple-style.wdt-post-entry.entry-grid-layout .blog-entry > div.entry-meta-group > div:nth-child(even).entry-author{
    margin-right:0;
    margin-left: 15px;
}
.rtl .widget ul{
    float: right;
}
.rtl .widget .recent-posts-widget li .entry-meta p{
    margin-left:15px;
    margin-right:0;
}

.rtl .blog-single-entry .entry-post-navigation > div.post-next-link > .nav-title-wrap p a:after{
    margin-right: 10px;
    margin-left:0;
    transform: translateY(-10%) rotate(180deg);
    -webkit-transform: translateY(-10%) rotate(180deg);
}

.rtl .blog-single-entry .entry-post-navigation > .post-next-link{
    text-align:left;
}

.rtl .blog-single-entry .entry-post-navigation > .post-prev-link{
    text-align:right;
}
.rtl .blog-single-entry .entry-post-navigation > div.post-prev-link > .nav-title-wrap p a:before{
    margin-right:0;
    margin-left:15px;
    transform: translateY(-10%) rotate(180deg);
    -webkit-transform: translateY(-10%) rotate(180deg);
}
.rtl .comment-body{
    padding-right:80px;
    padding-left:0;
}
.rtl .commentlist li.comment .reply{
    left:0;
    right:auto;
}
.rtl .comment-author .avatar{
    right:-80px;
    left:auto;
}
.rtl #primary .comment-form > p{
    text-align:right;
}
.rtl .blog-single-entry.post-minimal .entry-thumb ~ .post-meta .single-entry-date::before{
    margin-left:8px;
    margin-right:0;
}

@media (max-width:479px){
    .rtl .comment-author .avatar{
        right:0;
        left:auto;
    }
    .rtl .comment-body{
        padding-right:0;
        padding-left:0;
    }
}


/* -- shop -- */
.rtl .widget.woocommerce .woocommerce-product-search button[type="submit"]{
    left:0;
    right:auto;
}
.rtl .widget.woocommerce .woocommerce-product-search input[type="search"]{
    padding-left:55px;
    padding-right:30px;
}
.rtl .widget.woocommerce .woocommerce-product-search button[type="submit"]::before{
    transform: scaleX(-1) matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .widget.woocommerce ul.product-categories li span{
    left:0;
    right:auto;
}
.rtl .woocommerce .star-rating, .woocommerce ul.products li.product .star-rating{
    width: 6.5em;
}
.rtl.woocommerce ul.products.product-label-rounded li.product .product-labels{
    left:5px;
    right:auto;
}

.rtl.woocommerce .product-loop-sorting > .product-loop-sorting-item:first-child{
    margin-right:0;
    margin-left:auto;
}
.rtl.woocommerce .product-loop-sorting .product-loop-sorting-item{
    padding-right:10px;
    padding-left:10px;
}
.rtl .select2-container[dir="rtl"] .select2-selection--single .select2-selection__rendered{
    padding-right:50px;
    padding-left:15px;
}
.rtl.woocommerce .product-loop-sorting .product-loop-sorting-item:first-child{
    padding-left:10px;
    padding-right:10px;
}
.rtl.woocommerce .product-loop-sorting .product-display-controller .product-change-display li:last-child, .rtl.woocommerce .product-loop-sorting .product-layout-controller .product-change-layout li:last-child, .woocommerce .product-loop-sorting .product-list-options-controller .product-list-options li:last-child{
    margin-right:10px;
    margin-left:0;
}
.rtl .wdt-product-image-gallery-holder.wdt-product-vertical-thumb-left .wdt-product-image-gallery-thumb-container{
    margin:0 0 0 10px;
}
.rtl .wdt-product-image-gallery-container .wdt-product-image-gallery-thumb-enlarger{
    right:5px;
    left:auto;
}
.rtl.woocommerce div.product .summary.wdt-product-summary .wdt-single-product-share-container > a{
    margin-right:0;
    margin-left:5px;
}
.rtl.woocommerce .product .wdt-custom-product-single-buttons form.cart .variations tr th.label{
    margin-right:0;
    margin-left:15px;
}
.rtl.woocommerce .product .wdt-custom-product-single-buttons form.cart .variations tr th.label::before{
    left:0;
    right:auto;
}
.rtl.woocommerce .product form.cart .variations tr:first-child{
    margin-right:0;
    margin-left:20px;
}
.rtl.woocommerce div.product form.cart .variations .reset_variations{
    margin-right:20px;
    margin-left:0;
}
.rtl.woocommerce .product p.price del, .rtl.woocommerce-page .product p.price del, .rtl.woocommerce div.product p.price del, .rtl.woocommerce-page div.product p.price del, .rtl.woocommerce .product span.price del, .rtl.woocommerce-page .product span.price del, .rtl.woocommerce div.product span.price del, .rtl.woocommerce-page div.product span.price del, .rtl.woocommerce .product-price del, .rtl.woocommerce-page .product-price del{
    margin:0 0 0 5px;
}
.rtl.woocommerce:has(.wdt-custom-product-single-buttons) div.product form.cart div.quantity{
    margin-right:0;
    margin-left:30px;
}
.rtl.woocommerce a.button.quick_buy_now_button{
    padding-left:75px;
    padding-right:30px;
}
.rtl.woocommerce a.button.quick_buy_now_button::before{
    left:30px;
    right:auto;
    transform: translateY(-50%) rotate(180deg);
    -webkit-transform: translateY(-50%) rotate(180deg);
}

.rtl.woocommerce div.product .wdt-custom-main-product-tabs .wdt-product-tabs .woocommerce-tabs ul.tabs{
    text-align:right;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li:first-child{
    margin-right:0;
    margin-left:50px;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li a:after{
    left:0;
    right:auto;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li a:before{
    right:0;
    left:auto;
}

.rtl.woocommerce table.shop_attributes td{
    text-align: right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text{
    margin:0 95px 0 0;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .star-rating{
    float:left;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta{
    float:right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text p{
    text-align:right;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs .panel{
    text-align:right;
}
.rtl.woocommerce #review_form #respond label{
    text-align: right;
}
.rtl .comment-form .comment-form-cookies-consent label{
    padding-right:25px;
    padding-left:0;
}
.rtl .comment-form > p input[type="checkbox"] ~ label:before,.rtl .comment-form > p input[type="radio"] ~ label:before{
    left:auto;
    right:0;
}

.rtl.woocommerce .star-rating::before,.rtl.woocommerce .star-rating span::before{
    right:auto;
    left:0;
}

.rtl.woocommerce .star-rating span{
    right:auto;
    left:0;
}

.rtl .wdticon-angle-double-left:before{
    -webkit-transform:matrix(-1, 0, 0, 1, 0, 0);
}


@media only screen and (max-width: 480px) {
    .rtl.woocommerce .product-loop-sorting > .product-loop-sorting-item:first-child {
        margin-left:0;
    }
}

@media only screen and (max-width: 767px) {
    .rtl.woocommerce div.product .wdt-custom-main-product-tabs .woocommerce-tabs ul.tabs li, .rtl.woocommerce div.product .wdt-custom-main-product-tabs .wdt-product-tabs .woocommerce-tabs ul.tabs li {
            text-align: right;
        }
    .rtl .woocommerce table.shop_table tbody:first-child tr:first-child th{
            text-align: center !important;
        }
    .rtl .woocommerce .cart-collaterals table.shop_table tr th, .rtl .woocommerce-page .cart-collaterals table.shop_table tr th, .rtl .woocommerce .cart-collaterals table.shop_table tr td, .rtl .woocommerce-page .cart-collaterals table.shop_table tr td{
            text-align: center !important;
        }
    }

    @media only screen and (max-width: 479px) {
        .rtl.woocommerce #reviews #comments ol.commentlist li .comment-text {
            margin: 20px 0 0 0;
            padding: 0;
            text-align: center;
        }
        .rtl.woocommerce #reviews #comments ol.commentlist li .comment-text p {
            text-align: center;
        }
        .rtl.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta {
            display: inline-block;
            float: none;
        }
        .rtl.woocommerce #review_form #respond p {
            text-align: right;
        }


    }    

/* -- my acount -- */
.rtl .woocommerce .woocommerce-error .button, .rtl .woocommerce .woocommerce-info .button, .rtl .woocommerce .woocommerce-message .button{
    float: left;
}
.rtl .woocommerce form.login, .rtl .woocommerce form.register{
    left:auto;
}
.rtl .comment-form-wdt-privatepolicy input[type="checkbox"] ~ label,.rtl .woocommerce-form__label-for-checkbox > span,.rtl .woocommerce .woocommerce-shipping-methods input[type="radio"] ~ label,.rtl .woocommerce-page #payment.woocommerce-checkout-payment ul.payment_methods li input[type="radio"] ~ label{
    padding-left:0;
    padding-right:30px;
}
.rtl .comment-form-wdt-privatepolicy input[type="checkbox"] ~ label::before,.rtl .woocommerce-form__label-for-checkbox > span::before,.rtl .woocommerce .woocommerce-shipping-methods input[type="radio"] ~ label::before,.rtl .woocommerce-page #payment.woocommerce-checkout-payment ul.payment_methods li input[type="radio"] ~ label::before{
    right:0;
    left:auto;
}

.rtl .woocommerce table.shop_table tr td:last-child,.rtl .woocommerce-page table.shop_table tr td:last-child{
    padding-left:30px;
    padding-right:15px;
    
}

.rtl .woocommerce table.shop_table tr td:not(:last-child),.rtl .woocommerce-page table.shop_table tr td:not(:last-child){
    text-align: right !important;
}

.rtl .woocommerce-page table.shop_table tr td:first-child{
    padding-left:15px;
    padding-right:30px;
}

.rtl .woocommerce table.shop_table thead th:first-child,.rtl .woocommerce-page table.shop_table thead th:first-child{
    padding-left:15px;
    padding-right:30px;
}

.rtl .woocommerce table.shop_table thead th,.rtl .woocommerce-page table.shop_table tbody td{
    text-align:right;
}
.rtl .woocommerce .wdt-cart-button,.rtl .woocommerce-page .wdt-cart-button{
    text-align:left;
}
.rtl .woocommerce .cart-collaterals table.shop_table tr td:last-child,.rtl .woocommerce-page .cart-collaterals table.shop_table tr td:last-child{
    text-align:left;
    padding-left: 0;
}
.rtl .woocommerce .cart-collaterals table.shop_table tr th,.rtl .woocommerce-page .cart-collaterals table.shop_table tr th,.rtl .woocommerce .cart-collaterals table.shop_table tr td,.rtl .woocommerce-page .cart-collaterals table.shop_table tr td{
    text-align:right;
}
.rtl .woocommerce .cart-collaterals .cart_totals .wc-proceed-to-checkout,.rtl .woocommerce-page .cart-collaterals .cart_totals .wc-proceed-to-checkout{
    float:right;
}

.rtl a.mantras-pro-social-facebook-connect i,.rtl a.mantras-pro-social-google-connect i{
    margin-left: 15px;
    margin-right:0;
}

.rtl .mantras-pro-social-logins-divider::before{
    margin-left: 10px;
    margin-right:0;
}
.rtl .mantras-pro-social-logins-divider::after{
    margin-left:0;
    margin-right:10px;
}

.rtl #loginform .login-remember {
    text-align: right;
}

.rtl .woocommerce form.login .woocommerce-form-row label,.rtl .woocommerce form.register .woocommerce-form-row label{
    padding-right: 28px;
    padding-left:0;
}
.rtl .woocommerce form.login .woocommerce-form-row label:before,.rtl .woocommerce form.register .woocommerce-form-row label:before{
    left:auto;
    right:1px;
}
.rtl .woocommerce form.login .woocommerce-form-row label:after,.rtl .woocommerce form.register .woocommerce-form-row label:after{
    left:auto;
    right:28px;
}

/* -- check out -- */
.rtl .woocommerce table.shop_table tbody:first-child tr:first-child td{
    text-align:left;
}
.rtl .woocommerce table.shop_table tbody:first-child tr:first-child th{
    text-align:right;
}
.rtl .woocommerce-page table.shop_table tr td:first-child{
    padding-left:15px;
    padding-right:30px;
}

.rtl .woocommerce .woocommerce-checkout-review-order .shop_table .product-name img{
    float: right;
    margin-right:0;
    margin-left:20px;
}

.rtl .woocommerce .shop_table.woocommerce-checkout-review-order-table th{
    text-align: right;
}
.rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr td:last-child{
    text-align: left;
}
.rtl .woocommerce-checkout #payment div.form-row.place-order > #place_order{
    float: right;
}

/* --- contact --- */
.rtl .contact-us-form .contact-form-details p input,.rtl .contact-us-form .contact-message p textarea{
    text-align: right;
    padding-left:30px;
    padding-right:0;
}

.rtl #back-to-top{
    left:20px;
    right:auto;
}

.rtl .mfp-close{
    left:0;
    right:auto;
}